oneconf-service crashed with APIError in handle(): 500: {'status': '500', 'content-length': '619', 'via': '1.1 apps.ubuntu.com', 'strict-transport-security': 'max-age=2592000', 'vary': 'Accept-Encoding', 'server': 'Apache/2.2.14 (Ubuntu)', 'connection': 'close', '-content-encoding': 'gzip', 'date': 'Tue, 20 Sep 2011 12:50:16 GMT', 'content-type': 'text/html; charset=iso-8859-1'}

Bug #854685 reported by Matthew Paul Thomas on 2011-09-20
24
This bug affects 2 people
Affects Status Importance Assigned to Milestone
oneconf (Ubuntu)
Undecided
Unassigned

Bug Description

Apport says:

ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: oneconf 0.2.6.3
ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4
Uname: Linux 3.0.0-11-generic i686
NonfreeKernelModules: wl
ApportVersion: 1.23-0ubuntu1
Architecture: i386
Date: Tue Sep 20 13:50:18 2011
ExecutablePath: /usr/share/oneconf/oneconf-service
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/share/oneconf/oneconf-service
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, user)
 LANGUAGE=en_NZ:en_GB:en_US:en
 LANG=en_GB.UTF-8
PythonArgs: ['/usr/share/oneconf/oneconf-service']
SourcePackage: oneconf
Title: oneconf-service crashed with APIError in handle(): 500: {'status': '500', 'content-length': '619', 'via': '1.1 apps.ubuntu.com', 'strict-transport-security': 'max-age=2592000', 'vary': 'Accept-Encoding', 'server': 'Apache/2.2.14 (Ubuntu)', 'connection': 'close', '-content-encoding': 'gzip', 'date': 'Tue, 20 Sep 2011 12:50:16 GMT', 'content-type': 'text/html; charset=iso-8859-1'}
UpgradeStatus: Upgraded to oneiric on 2011-09-20 (0 days ago)
UserGroups: adm admin cdrom dialout dip fax floppy fuse lpadmin plugdev sambashare tape video

Matthew Paul Thomas (mpt) wrote :
tags: removed: need-duplicate-check
Didier Roche (didrocks) on 2011-09-21
visibility: private → public
Changed in oneconf (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package oneconf - 0.2.6.4

---------------
oneconf (0.2.6.4) oneiric; urgency=low

  * New release:
    - Convert data receive rom OneConf server from strings to json objects
    - Empty content can be valid, like removing latest other host
    - Protect against a BadStatusLine and RedirectLimit http requests return
      (LP: #852296, #851567)
    - Don't continue syncing if we even can't get a successfull list machines
      data (LP: #854685)
 -- Didier Roche <email address hidden> Wed, 21 Sep 2011 09:13:01 +0200

Changed in oneconf (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers